LIRCMD(8)

NAME

lircmd - Translate infrared signals into mouse events.

SYNOPSIS

lircmd [options] [config-file]

DESCRIPTION
This daemon can simulate a MouseSystems, IntelliMouse or IMPS/2 type mouse. It gets the received buttons from lircd and converts them to mouse events. To make this possible, lircmd needs a config file located in /etc/lirc/lircmd.conf. In this file you have to determine which button from which remote causes a mouse move or a mouse button click. You can also specify a special button which activates or deactivates the mouse mode.

OPTIONS

-h --help
    Display help message.

-v --version
    Display version.

-n --nodaemon
    Don't fork to background.

-s --socket <socket path>
    Use alternate lircd socket path.

-O --options-file=file
    Alternative default options file, usually defaults to /etc/lirc/lirc_options.conf.

-u --uinput
    On Linux systems the --uinput option will enable automatic generation of Linux input events. lircmd will open /dev/input/uinput and inject the simulated mouse events into the Linux kernel rather than creating the /dev/lircm device.

-D --loglevel=[level]
    Determine the amount of logging information. [level] can be a symbolic syslog level: 'error','warning, 'info', 'notice' or 'debug'. lircd also defines three additional levels 'trace', 'trace1' and 'trace2' which gives even more messages ('trace2' bringing the most). However, in the log these messages are marked as 'debug'.

SOCKET PROTOCOL
The socket protocol contains undocumented parts. The data on the output socket is

MouseSystems
    5 byte packets:

    •   Byte 1: Button information.

    •   Byte 2: X-axis change.

    •   Byte 3: Y-axis change.

    •   Byte 4 and 5: 0.

IMPS/2
    4 byte packets. Please refer to the lircmd source code for details.

IntelliMouse
    4 byte packets. Please refer to the lircmd source code for details.

FILES
lircmd will use syslogd to output error messages. It depends on your system configuration where they will show up.

The options file is by default /etc/lirc/lirc_options.conf; lircmd handles the values under the [lircmd] section in this file. The location can be changed using the -O/--options-file command-line option or using the environment variable LIRC_OPTIONS_PATH. The values here are used as defaults for any option not present on command line.

DAEMONS
lircmd is a daemon. You should start it in some init script depending on your system. Besides the systemd setup which is installed by default there are also example scripts for other distros and init systems in the contrib directory. lircmd has to be started after lircd as it connects to the socket lircd provides.

If you start lircd or lircmd from your shell prompt you will usually get back immediately to the prompt. This is not an error, daemons always run in background.

SEE ALSO

The documentation for lirc is also maintained as html pages. They are located under html/ in the documentation directory.